org.apache.jmeter.gui.action

## Class ExportTransactionAndSamplerNames

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.ExportTransactionAndSamplerNames

- All Implemented Interfaces:
    Command, MenuCreator

      public class ExportTransactionAndSamplerNames
      extends AbstractAction
      implements MenuCreator

  Export transactions names for web report
  Since:
    3.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.jmeter.gui.plugin.MenuCreator

      `MenuCreator.MENU_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportTransactionAndSamplerNames()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAction(java.awt.event.ActionEvent e)`
    `java.util.Set<java.lang.String>` | `getActionNames()`
    `javax.swing.JMenuItem[]` | `getMenuItemsAtLocation(MenuCreator.MENU_LOCATION location)` MenuItems to be added in location menu
    `javax.swing.JMenu[]` | `getTopLevelMenus()`
    `void` | `localeChanged()` Update Top Level menu on Locale Change
    `boolean` | `localeChanged(javax.swing.MenuElement menu)`

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExportTransactionAndSamplerNames

          public ExportTransactionAndSamplerNames()

  - ### Method Detail

    - #### doAction

          public void doAction(java.awt.event.ActionEvent e)

      Specified by:
        `doAction` in interface `Command`
      Overrides:
        `doAction` in class `AbstractAction`
      See Also:
        `Command.doAction(ActionEvent)`

    - #### getActionNames

          public java.util.Set<java.lang.String> getActionNames()

      Specified by:
        `getActionNames` in interface `Command`
      See Also:
        `Command.getActionNames()`

    - #### getMenuItemsAtLocation

          public javax.swing.JMenuItem[] getMenuItemsAtLocation(MenuCreator.MENU_LOCATION location)

      Description copied from interface: `MenuCreator`
      MenuItems to be added in location menu
      Specified by:
        `getMenuItemsAtLocation` in interface `MenuCreator`
      Parameters:
        `location` - in top menu
      Returns:
        array of `JMenuItem`

    - #### getTopLevelMenus

          public javax.swing.JMenu[] getTopLevelMenus()

      Specified by:
        `getTopLevelMenus` in interface `MenuCreator`
      Returns:
        array of JMenu to be put as top level menu between Options and Help

    - #### localeChanged

          public boolean localeChanged(javax.swing.MenuElement menu)

      Specified by:
        `localeChanged` in interface `MenuCreator`
      Parameters:
        `menu` - MenuElement
      Returns:
        true if menu was concerned by Locale change

    - #### localeChanged

          public void localeChanged()

      Description copied from interface: `MenuCreator`
      Update Top Level menu on Locale Change
      Specified by:
        `localeChanged` in interface `MenuCreator`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.